List trading pairs
curl --request GET \
--url https://api.sandbox.busha.so/v1/pairs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/pairs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.busha.so/v1/pairs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.busha.so/v1/pairs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.busha.so/v1/pairs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.busha.so/v1/pairs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "message for success",
"data": [
{
"id": "BTCNGN",
"base": "BTC",
"base_currency_name": "Bitcoin",
"counter": "BTC",
"counter_currency_name": "Naira",
"type": "crypto",
"buy_price": {
"amount": "100",
"currency": "BTC"
},
"sell_price": {
"amount": "100",
"currency": "BTC"
},
"is_buy_supported": true,
"is_sell_supported": true,
"min_buy_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"min_sell_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"max_buy_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"max_sell_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"base_decimal": "6",
"counter_decimal": "6",
"percentage_change": "100"
}
]
}Pairs
List trading pairs
Retrieves all available trading pairs with their current rates.
GET
/
v1
/
pairs
List trading pairs
curl --request GET \
--url https://api.sandbox.busha.so/v1/pairs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/pairs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.busha.so/v1/pairs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.busha.so/v1/pairs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.busha.so/v1/pairs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.busha.so/v1/pairs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "message for success",
"data": [
{
"id": "BTCNGN",
"base": "BTC",
"base_currency_name": "Bitcoin",
"counter": "BTC",
"counter_currency_name": "Naira",
"type": "crypto",
"buy_price": {
"amount": "100",
"currency": "BTC"
},
"sell_price": {
"amount": "100",
"currency": "BTC"
},
"is_buy_supported": true,
"is_sell_supported": true,
"min_buy_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"min_sell_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"max_buy_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"max_sell_amount": {
"amount": "100",
"currency": "BTC",
"counter": {
"amount": "100",
"currency": "BTC"
}
},
"base_decimal": "6",
"counter_decimal": "6",
"percentage_change": "100"
}
]
}Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Query Parameters
One or more types, comma-separated (type=crypto,stock). A pair is listed when it matches any of them. Stock books are listed only when stock is named. fiat filter return pairs where the counter currency-type is a fiat crypto filter return pairs where the counter currency type is digital stablecoin filter return pairs where the base or counter currency is a stablecoin base_crypto filter return pairs where the base currency is digital base_fiat filter return pairs where the base currency is a fiat stock filter returns stock pairs
Available options:
fiat, stablecoin, crypto, base_crypto, base_fiat, stock A valid currency
Required string length:
1 - 10Example:
"BTC"
A valid currency
Required string length:
1 - 10Example:
"BTC"
Available options:
alphabetical, date_added, market_cap, current_price, price_change, most_bought, most_sold Available options:
positive, negative, absolute The order to sort the results
Available options:
asc, desc Example:
"asc"